Google uses AI technology to translate content into your preferred language. AI translations can contain errors.
Method: whitelists.delete
コレクションでコンテンツを整理
必要に応じて、コンテンツの保存と分類を行います。
コンテンツ所有者のホワイトリストに登録されているチャンネルを削除します。
HTTP リクエスト
DELETE https://youtubepartner.googleapis.com/youtube/partner/v1/whitelists/{id}
この URL は gRPC Transcoding 構文を使用します。
パスパラメータ
| パラメータ |
id |
string
id パラメータには、ホワイトリストから削除するチャンネルの YouTube チャンネル ID を指定します。
|
クエリ パラメータ
| パラメータ |
onBehalfOfContentOwner |
string
onBehalfOfContentOwner パラメータは、ユーザーがその代理として動作するコンテンツ所有者を識別します。このパラメータは、アカウントが複数のコンテンツ所有者に関連付けられているユーザーをサポートします。
|
リクエストの本文
リクエストの本文は空にする必要があります。
レスポンスの本文
成功すると、レスポンスの本文は空の JSON オブジェクトになります。
認可スコープ
次の OAuth スコープが必要です。
https://www.googleapis.com/auth/youtubepartner
詳細については、OAuth 2.0 Overview をご覧ください。
All rights reserved. Java は Oracle および関連会社の登録商標です。
最終更新日 2025-08-21 UTC。
[[["わかりやすい","easyToUnderstand","thumb-up"],["問題の解決に役立った","solvedMyProblem","thumb-up"],["その他","otherUp","thumb-up"]],[["必要な情報がない","missingTheInformationINeed","thumb-down"],["複雑すぎる / 手順が多すぎる","tooComplicatedTooManySteps","thumb-down"],["最新ではない","outOfDate","thumb-down"],["翻訳に関する問題","translationIssue","thumb-down"],["サンプル / コードに問題がある","samplesCodeIssue","thumb-down"],["その他","otherDown","thumb-down"]],["最終更新日 2025-08-21 UTC。"],[],["This document outlines the process of removing a whitelisted YouTube channel. The core action is a `DELETE` HTTP request to a specific URL, `https://youtubepartner.googleapis.com/youtube/partner/v1/whitelists/{id}`, where `{id}` is the channel ID. The `onBehalfOfContentOwner` query parameter specifies the content owner. The request body is empty, and a successful response returns an empty JSON object. This operation requires `https://www.googleapis.com/auth/youtubepartner` OAuth scope authorization.\n"]]